summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Kevin Paulus2015-10-09 19:21:15 +0200
committer Willy Sudiarto Raharjo2015-10-09 19:21:15 +0200
commitda8c84d0b6e3e3f22d82e735b2fa83b2607f8e6c (patch)
treea7480dc90c31b67a9fa6af33a472e4a5c58c4a56 /desktop
parentfe403085ca0eb496f6445b1e750b235a2a804a85 (diff)
downloadslackbuilds-da8c84d0b6e3e3f22d82e735b2fa83b2607f8e6c.tar.gz
desktop/openbox-simple-theme: Added (Desktop themes).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/openbox-simple-theme/README13
-rw-r--r--desktop/openbox-simple-theme/doinst.sh13
-rw-r--r--desktop/openbox-simple-theme/openbox-simple-theme.SlackBuild72
-rw-r--r--desktop/openbox-simple-theme/openbox-simple-theme.info10
-rw-r--r--desktop/openbox-simple-theme/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/desktop/openbox-simple-theme/README b/desktop/openbox-simple-theme/README
new file mode 100644
index 0000000000..f1ee9fa133
--- /dev/null
+++ b/desktop/openbox-simple-theme/README
@@ -0,0 +1,13 @@
+openbox-simple-theme (GTK2|GTK3|XFCE|OpenBox|Slim themes)
+
+OpenBox Simple is a simple themes, icons, etc, for GTK2|GTK3, OpenBox,
+XFCE, Slim, and apps like Thunar and Tint2.
+
+See /usr/doc/openbox-simple-theme-20150918/HowTo about tint2 configure.
+
+To avoid conflicts with the standard configs of Thunar, openbox and
+tint2, all configs of this package as suffix -simple, they are located
+in /etc/skel/.config.
+
+Optional dependencies: gtk-engines, gtk-engines-unico, murrine,
+faenza-icon-theme.
diff --git a/desktop/openbox-simple-theme/doinst.sh b/desktop/openbox-simple-theme/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/openbox-simple-theme/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/openbox-simple-theme/openbox-simple-theme.SlackBuild b/desktop/openbox-simple-theme/openbox-simple-theme.SlackBuild
new file mode 100644
index 0000000000..cd12b622db
--- /dev/null
+++ b/desktop/openbox-simple-theme/openbox-simple-theme.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+#
+# Slackware build script for openbox-simple-theme.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="openbox-simple-theme"
+VERSION=${VERSION:-20150918}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCNAM="171403-openbox-simple"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tar.bz2
+mv openbox-simple $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+mkdir -p $PKG/etc/skel/{.config,.local/share}
+cp -a FILES/applications $PKG/etc/skel/.local/share/
+cp -a FILES/openbox $PKG/etc/skel/.config/openbox-simple
+cp -a FILES/Thunar $PKG/etc/skel/.config/Thunar-simple
+cp -a FILES/tint2 $PKG/etc/skel/.config/tint2-simple
+
+mkdir -p $PKG/usr/share/icons
+cp -a ICONS/{scim,Simple,Simple-Menu} $PKG/usr/share/icons/
+
+mkdir -p $PKG/usr/share/{slim/themes,themes}
+cp -a THEMES/openbox/Simple $PKG/usr/share/themes/
+cp -a THEMES/slim/Simple $PKG/usr/share/slim/themes/
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a HowTo $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/openbox-simple-theme/openbox-simple-theme.info b/desktop/openbox-simple-theme/openbox-simple-theme.info
new file mode 100644
index 0000000000..0bae4f5f28
--- /dev/null
+++ b/desktop/openbox-simple-theme/openbox-simple-theme.info
@@ -0,0 +1,10 @@
+PRGNAM="openbox-simple-theme"
+VERSION="20150918"
+HOMEPAGE="http://box-look.org/content/show.php/Openbox-Simple?content=171403"
+DOWNLOAD="https://www.dropbox.com/s/l5nmezxo9olun6q/171403-openbox-simple.tar.bz2"
+MD5SUM="deffe215bc7d5ab0b5f8a8bf015010a4"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/openbox-simple-theme/slack-desc b/desktop/openbox-simple-theme/slack-desc
new file mode 100644
index 0000000000..e0c12482aa
--- /dev/null
+++ b/desktop/openbox-simple-theme/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+openbox-simple-theme: openbox-simple-theme (GTK2|GTK3|XFCE|OpenBox|Slim themes)
+openbox-simple-theme:
+openbox-simple-theme: OpenBox Simple is a simple themes, icons, etc, for GTK2|GTK3, OpenBox,
+openbox-simple-theme: XFCE, Slim, and apps like Thunar, Tint2.
+openbox-simple-theme:
+openbox-simple-theme: Home page: http://goo.gl/I0jk9A
+openbox-simple-theme:
+openbox-simple-theme:
+openbox-simple-theme:
+openbox-simple-theme:
+openbox-simple-theme: